[
  {
    "key": "user-default",
    "name": "Default user",
    "description": "Creates a new, non-specific user where the member groups can be freely chosen.",
    "initialState": "ACTIVE",
    "initialSubState": "ACTIVE",
    "forms": {
      "init": "F01_userInitFormDefault",
      "view": "F02_userViewFormDefault",
      "edit": "F03_userEditFormDefault"
    },
    "memberGroups": [
      "flowableUser"
    ],
    "lookupGroups":[
      "flowableUser"
    ],
    "actionPermissions": {
      "create": [ "flowableAdministrator" ],
      "edit": [ "flowableAdministrator" ],
      "deactivate": [ "flowableAdministrator" ],
      "activate": [ "flowableAdministrator" ]
    },
    "contactFilters": [ "all" ],
    "allowedFeatures": [ "contacts", "bubbles", "markdownInput", "replyToMessage", "forwardMessage", "reactToMessage", "fileUpload", "work", "createWork",
      "personalAccessTokens",
      "tasks", "documents", "changeOwnPassword", "changeOwnTheme", "editOwnAvatar"]
  },
  {
    "key": "user-admin",
    "name": "Administration User",
    "description": "Creates a new, administration user.",
    "initialUserSubType": "admin",
    "initialState": "ACTIVE",
    "initialSubState": "ACTIVE",
    "forms": {
      "init": "F01_userInitFormDefault",
      "view": "F02_userViewFormDefault",
      "edit": "F03_userEditFormDefault"
    },
    "memberGroups": [
      "flowableUser",
      "flowableAdministrator"
    ],
    "lookupGroups":[
      "flowableUser"
    ],
    "actionPermissions": {
      "create": [ "flowableAdministrator"],
      "edit": [ "flowableAdministrator" ],
      "deactivate": [ "flowableAdministrator" ],
      "activate": [ "flowableAdministrator" ]
    },
    "initialVariables": {
      "adminUser": true,
      "description": "Admin"
    },
    "contactFilters": [ "all", "internal", "external", "inactive"],
    "allowedFeatures": [ "contacts", "createUser", "reports",
      "actuators", "user-mgmt", "search-api", "workobject-api", "templateManagement",
      "markdownInput", "replyToMessage", "forwardMessage", "reactToMessage", "fileUpload", "work", "createWork", "tasks", "documents",
      "impersonateUser",
      "personalAccessTokens",
      "changeOwnPassword", "changeOwnTheme", "editOwnAvatar", "themeManagement"]
  }
]